Subject: Re: Make commit messages optional

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 14 Apr 2022 18:43:10 +0200

On Thu, Apr 14 2022, Theodore Ts'o wrote:

> On Mon, Apr 11, 2022 at 10:10:23PM +0200, Ævar Arnfjörð Bjarmason wrote:
>> 
>> We could add configuration or whatever, but the topic of this thread is
>> whether we should change the *default*. I think it's better to stick to
>> that.
>
> I would have thought it was painfully obvious that changing the
> *default* is a ***terrible*** idea?
>
> Is anyone other than the OP seriously promoting changing the default?

Urm, yeah? I am, in the E-Mail upthread that replied to. The OP here is
[email-masked].

> If someone wants to do something terrible to their own development
> workflow (or if it actually makes sense for their workflow) we could
> add some configuration, but if the question is changing the default,
> my ppersonal opinion is, "Heck, no!"

I think you're almost certainly correct that there's worthwhile things
we can catch with the current default.

I just suspect that we can do so much more effectively and encourage
more effectivey workflows by doing so at the point of propagation, not
commit.